using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Methods
{
    class Example29
    {
        public static void Blame(string perpetrator, string problem)
        {
            Console.WriteLine("Oskarżam {0} o {1}.", perpetrator, problem);
        }

        public static void Blame(string perpetrator)
        {
            Blame(perpetrator, "upadek dobrych obyczajów");
        }

        public static void Blame()
        {
            Blame("dzisiejszą młodzież", "upadek dobrych obyczajów");
        }

        public static void IForOneWelcomeOurNewInsectOverloads()
        {
            Blame();
            Blame("sieci społecznościowe");
            Blame("wszystkich i każdego", "moje własne niedociągnięcia");
        }
    }
}
